
// Import any other script files here, e.g.:
// import * as myModule from "./mymodule.js";

//const subtitles = ["Hi!", "Prototype!", "Hello, Bob!"]
const subtitles = [" "]
const randomText = subtitles[Math.floor(Math.random() * subtitles.length)];
const controls = ["Right-Arrow to Move Right", "Left-Arrow to Move Left", "Up-Arrow to Jump", "Space/E to Shoot", "Enter to Start!"]

runOnStartup(async runtime =>
{
	// Code to run on the loading screen.
	// Note layouts, objects etc. are not yet available.
	
	runtime.addEventListener("beforeprojectstart", () => OnBeforeProjectStart(runtime));
});

async function OnBeforeProjectStart(runtime)
{
	// Code to run just before 'On start of layout' on
	// the first layout. Loading has finished and initial
	// instances are created and available to use here.
	
	runtime.addEventListener("tick", () => Tick(runtime));
	runtime.globalVars.Subtext = randomText
	
	for (let i = 0; i <= controls.length; i++) {
		var textToUse
		if (controls[i] == undefined || controls[i] == null) {break;}
		if (i != controls.length) {textToUse = controls[i] + "\n\n"} else {textToUse = controls[i]}
		runtime.globalVars.Controls += textToUse
	}
}

function Tick(runtime)
{
	// Code to run every tick
	//runtime.globalVars.Controls += randomText
	//runtime.objects.Info.text += randomText
}
